%define fname	random2

Name:		python-random2
Summary:	Python 2’s random module for Python 3
Version:	1.0.1
Release:	%mkrel 4
Source0:	%{fname}-%{version}.zip
URL:		https://pypi.python.org/pypi/random2
Group:		Development/Python
License:	BSD
BuildArch:	noarch
BuildRequires:	python-setuptools

%description
This package provides a Python 3 ported version of Python 2.7’s
random module. It has also been back-ported to work in Python 2.6.

%package -n python3-random2
Summary:	Python 2’s random module for Python 3
Group:		Development/Python
BuildRequires:	python3-setuptools

%description -n python3-random2
This package provides a Python 3 ported version of Python 2.7’s
random module. It has also been back-ported to work in Python 2.6.

%prep
%setup -q -n %{fname}-%{version}
cp -a . %{py3dir}

%build
%{__python} setup.py build

pushd %{py3dir}
%{__python3} setup.py build
popd

%install
%{__python} setup.py install --root=%{buildroot} --skip-build

pushd %{py3dir}
%{__python3} setup.py install --root=%{buildroot} --skip-build
popd

%files
%doc README.txt
%{python_sitelib}/%{fname}*

%files -n python3-random2
%doc README.txt
%{python3_sitelib}/%{fname}*
%{python3_sitelib}/__pycache__/*


%changelog
* Fri Feb 19 2016 umeabot <umeabot> 1.0.1-4.mga6
+ Revision: 970492
- Mageia 6 Mass Rebuild

* Wed Oct 07 2015 shlomif <shlomif> 1.0.1-3.mga6
+ Revision: 886929
- Rebuild for new python3 (3.5.x)

* Tue Jul 28 2015 joequant <joequant> 1.0.1-2.mga6
+ Revision: 858694
- fix description

* Sun Jul 26 2015 shlomif <shlomif> 1.0.1-1.mga6
+ Revision: 858112
- Importing python-random2

